#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d",&n);
    int a[n],b[n];
    int s=0;int ca;
    for(int i=0;i<n;i++)
    {
        a[i]=i+1;
        printf("%d ",a[i]);
        b[i]=n+1+i;
        printf("%d ",b[i]);
        printf("\n");
    }
    for(int i=0;i<n;i++)
    {
        ca=(a[i]-b[i]);
        ca=(ca<0 ? -ca:ca);
        printf("%d ",ca);
        s+=ca;
    }
    printf("\n");printf("%d",s);

    return 0;
}